# validation d'une table d'élèves

def est_valide(e):
    jour = e["jour"]
    mois = e["mois"]
    annee = e["année"]
    return jour.isdecimal() and 1 <= int(jour) <= 31 \
       and mois.isdecimal() and 1 <= int(mois) <= 12 \
       and annee.isdecimal() and int(annee) <= 2019

def conversion(e):
    return { "prénom":e["prénom"], "jour":int(e["jour"]),
             "mois":int(e["mois"]), "année":int(e["année"]),
             "projet":e["projet"] }

table_validee = \
    [ conversion(e) for e in table if est_valide(e) ]
